#include <unistd.h>
#include <File.h>
#include <Resources.h>
#include <stdio.h>
#include <string.h>

char *encrypt_pwd(char *password);

int main(int argc, const char **argv) {
	size_t size;
	int32 id;
	
	if (getuid() != 0) {
		printf("You must be root to run this program. Sorry.\n");
		return -1;
	}
	if (argc < 2) {
		printf(	"rmuser usage -\n"
				"\trmuser user_name\n" );
		return 0;
	}
	BResources data;
	BFile file("/boot/home/config/etc/users",B_READ_WRITE);
	if (data.SetTo(&file,false) != B_OK) {
		printf("Could not open user file.\n");
		return -2;
	}
	if (!data.GetResourceInfo('MSGG',argv[1],&id,&size)) {
		printf("User %s does not exist.\n",argv[1]);
		return -3;
	}
	if (data.RemoveResource('MSGG',id) != B_OK) {
		printf("User %s could not be deleted.\n",argv[1]);
		return -4;
	}
	return 0;
}